Bug Tracker – Bug 42

sprite-level zfighting

Last modified: 2008-05-06 23:07:51 UTC
Bug 42 - sprite-level zfighting
Summary: sprite-level zfighting
Status: RESOLVED WONTFIX
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: (old) 0.0.1
Hardware: All All
: P2 minor
Assignee: som
URL:
Depends on: 425
Blocks:
  Show dependency tree
 
Reported: 2005-10-09 15:16 UTC by Denis Lukianov
Modified: 2008-05-06 23:07 UTC (History)
0 users

See Also:

Attachments

Screenshot of the problem (34.50 KB, image/png)
2006-04-03 08:02 UTC, Denis Lukianov
Details
still happening (47.74 KB, image/x-png)
2006-09-19 17:45 UTC, Alexander Mayfield
Details
Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Lukianov 2005-10-09 15:16:48 UTC
When a player dies next to a corner, ever-so-slight changes in the viewer's
position determines whether a wall or the corpse is drawn on top. At worst, this
results in ugly refresh fuzzyness.
Comment 1 Denis Lukianov 2005-10-13 06:24:36 UTC
See: http://pc.voxelsoft.com/zfighting.jpg

Deaths are only a demonstration of the depth rendering problem.
Comment 2 Mike Lightner 2006-02-02 22:18:36 UTC
Bug accepted.
Comment 3 Denis Lukianov 2006-04-03 08:02:06 UTC
Created attachment 20 [details]
Screenshot of the problem
Comment 4 Alexander Mayfield 2006-09-19 17:45:10 UTC
Created attachment 24 [details]
still happening

Still happening as of 1513
Comment 5 Denis Lukianov 2006-09-26 17:18:28 UTC
r1952 still happening
Comment 6 Denis Lukianov 2006-10-19 17:59:39 UTC
No progress, reassigning to myself
Comment 7 Denis Lukianov 2007-01-19 17:48:04 UTC
reassigning to SoM, as he is working on the cardboard renderer
Comment 8 Denis Lukianov 2008-05-06 23:07:51 UTC
(07:18:43) SoM: denis: oh, by the way, the sprite-z bug can not be fixed
(07:22:10) denis: SoM: does it happen in vanilla?
(07:22:25) SoM: denis: yeah, happens in every doom port